<?php

namespace EventPortal\Domain\Component;

use EventPortal\Concerns\HasWhen;

class ButtonDropdown
{
    use HasWhen;

    /** @var string */
    public $component = 'ButtonDropdown';

    /** @var array */
    public $actions = [];

    /** @var string */
    public $label;

    /** @var string */
    public $title;

    public function __construct(string $label)
    {
        $this->label = $label;
        $this->title = $label;
        $this->user = auth()->user();
    }

    public static function make(string $label): self
    {
        return new self($label);
    }

    public function actions(array $actions): self
    {
        foreach ($actions as $action) {
            $this->actions[] = $action;
        }

        return $this;
    }
}
