<?php

namespace EventPortal\Domain\User\Models;

use EventPortal\Concerns\AddToCasts;
use EventPortal\Concerns\AddToFillable;
use EventPortal\Domain\Delegate\Models\Delegate;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use OwenIt\Auditing\Auditable;
use OwenIt\Auditing\Contracts\Auditable as AuditableInterface;
use Spatie\Permission\Traits\HasRoles;

class User extends Authenticatable implements AuditableInterface
{
    use Notifiable,
        AddToFillable,
        AddToCasts,
        Auditable,
        HasRoles;

    /** @var string */
    protected $guard_name = 'web';

    const KEY = 'user';

    /** @var array */
    protected $fillable = [
        'first_name',
        'last_name',
        'email',
    ];

    public function delegate(): BelongsTo
    {
        return $this->belongsTo(Delegate::class);
    }
}
