<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Dropdown\Select;
use EventPortal\Domain\Component\Input\Text;
use EventPortal\Domain\Component\Option;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('event.index')
    ->addAvailableColumns(function () {
        return [
            Text::make('Event name')->name('name'),
            Text::make('Event type')->name('type'),
            Select::make('Status')->options([
                Option::make('Draft'),
                Option::make('Published'),
            ]),
        ];
    })
    ->addRowAction(function (Event $event) {
        return ButtonDropdown::make('Manage event')
            ->actions([
                Button::make('View')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.event.show', ['event' => $event->id]),
                Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.event.edit', ['event' => $event->id]),
            ]);
    });
