<?php

namespace EventPortal\Tests\Feature\Admin\Event;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Permission\Models\Permission;
use EventPortal\Domain\User\Models\User;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Spatie\Snapshots\MatchesSnapshots;

class EventDeleteTest extends TestCase
{
    use DatabaseMigrations, MatchesSnapshots;

    /** @test **/
    public function can_delete_event()
    {
        $user = factory(User::class)->create();
        $event = factory(Event::class)->create();
        $permission = factory(Permission::class)->create([
            'name' => 'event.destroy',
        ]);
        $user->givePermissionTo($permission->id);

        $this->actingAs($user)
            ->post(route('admin.event.delete', $event->id));

        $this->assertNull(Event::find($event->id));
    }
}
