<?php

namespace EventPortal\Tests\Unit\Util;

use EventPortal\Domain\Component\Option;
use EventPortal\Domain\Util\Status;
use EventPortal\Tests\TestCase;

class StatusTest extends TestCase
{
    /** @test **/
    public function can_get_as_options()
    {
        $expected = [
            Option::make('Unpublished'),
            Option::make('Registration Open'),
            Option::make('Closed'),
            Option::make('Post Event'),
            Option::make('Archived'),
        ];

        $this->assertEquals($expected, Status::make('event')->asOptions());
    }

    /** @test **/
    public function can_get_for_filters()
    {
        $expected = [
            Option::make('Unpublished'),
            Option::make('Registration Open'),
            Option::make('Closed'),
            Option::make('Post Event'),
        ];

        $this->assertEquals($expected, Status::make('event')->forFilters());
    }

    /** @test **/
    public function can_get_readable_version_of_status()
    {
        $this->assertEquals('Registration Open', Status::make('event')->getReadable('registration_open'));
        $this->assertEquals('Closed', Status::make('event')->getReadable('closed'));
    }
}
